class_name AttackCombatTactic extends CombatTactic

func get_offensive_stats(unit: Unit) -> Variant:
	return {"atk": unit.current_stats.phys_atk, "hit": unit.current_stats.hit}

func get_relevant_defense(unit: Unit) -> int:
	return unit.current_stats.phys_def

func deals_damage() -> bool:
	return true
